(a) The figure shows the case where the currents are in
opposite directions.

\anonymousinlinefig{wires-force}

The field vector shown is one made by wire 1, which causes
an effect on wire 2. It points up because wire 1's field
pattern is clockwise as view from along the direction of
current $I_1$. For simplicity, let's assume that the current
$I_2$ is made by positively charged particles moving in the
direction of the current. (You can check that the final
result would be the same if they were negatively charged, as
would actually be the case in a metal wire.) The force on
one of these positively charged particles in wire 2 is
supposed to have a direction such that when you sight along
it, the $B$ vector is clockwise from the $v$ vector. This
can only be accomplished if the force on the particle in
wire 2 is in the direction shown. Wire 2 is repelled by wire 1.

To verify that wire 1 is also repelled by wire 2, we can
either go through the same type of argument again, or we can
simply apply Newton's third law.

Simialar arguments show that the force is attractive if the
currents are in the same direction.

(b) The force on wire 2 is $F/L=I_{2B}$, where $B=2k I_1/c^2\pi r$ is the field made by wire 1 and $r$ is the distance
between the wires. The result is
\begin{equation*}
		F/L=2k I_1I_2/c^2\pi r   \qquad   .  
\end{equation*}
